.tgrep.gallery-item
	float: left
	height: ($grid * 12)
	margin: 0 0 26px
	overflow: hidden
	padding: 0 ($grid / 2)
	position: relative
	width: 33.33333%

	+respond-to(large)
		width: 50%

	+respond-to(medium)
		width: 33.33333%

	+respond-to(small)
		width: 50%

	+respond-to(tiny)
		width: 100%

	// TODO: Use BEM class
	.tgrep.breadcrumbs
		background: rgba(#fff, .9)
		padding: ($grid / 4) ($grid / 2) 0
		position: relative
		text-shadow: 0 0 4px #fff, 0 0 2px #fff, 0 0 1px #fff

.tgrep.gallery-item_image
	left: 0
	padding: 0 ($grid / 2)
	position: absolute
	right: 0

	img
		width: 100%

.tgrep.gallery-item_title
	background: rgba(#fff, .9)
	padding: ($grid / 4) ($grid / 2)
	position: relative
	text-shadow: 0 0 4px #fff, 0 0 2px #fff, 0 0 1px #fff

.tgrep.gallery-item_actions
	bottom: 0
	left: ($grid / 2)
	padding: ($grid / 2)
	right: ($grid / 2)
	position: absolute

.tgrep.gallery-item_actions a,
.tgrep.gallery-item_button
	@extend %button
	height: auto
	margin-top: ($grid / 2)
	padding: ($grid / 4)
	width: 100%

	&.-add-to-shelf
		+icon('plus')

	&.-remove-from-shelf
		+icon('minus')

	&.-download
		+icon('download')
